Bug 1260062 - Use of uninitialized value in the cfgmaker
Use of uninitialized value in the cfgmaker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mrtg (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 06:48 EDT by Panos Kavalagios
Modified: 2015-11-24 17:25 EST (History)
1 user (show)

See Also:
Fixed In Version: mrtg-2.17.4-16.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 17:25:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cfgmaker-output.log (6.97 KB, text/plain)
2015-09-04 06:48 EDT, Panos Kavalagios
no flags Details

  None (edit)
Description Panos Kavalagios 2015-09-04 06:48:02 EDT
Created attachment 1070213 [details]
cfgmaker-output.log

Description of problem: The cfgmaker script is producing warnings for uninitialized usage. It should be fixed in case it is a normal scenario.


Version-Release number of selected component (if applicable): mrtg-2.17.4-15.fc22.x86_64


How reproducible: Run cfgmaker


Steps to Reproduce:
1. Log in as root
2. Run the following command:
/usr/bin/cfgmaker --no-down --ifdesc=descr --global 'WorkDir: /usr/local/mrtg/html/network' --global 'Options[_]: growright, bits' --global 'IconDir: /mrtg/' --global 'Language: greek' --ifdesc=descr --ifref=descr public@localhost --output=/usr/local/mrtg/etc/network.cfg


Actual results: A lot of warnings are printed for uninitialized variables.


Expected results: Only the configured interfaces information should have been printed.


Additional info: The same applies for other cfgmaker executions with even a host template for specific MIBs. The command output is attached to the file cfgmaker-output.log.
Comment 1 Fedora Update System 2015-09-07 08:22:51 EDT
mrtg-2.17.4-16.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15268
Comment 2 Fedora Update System 2015-09-07 08:24:42 EDT
mrtg-2.17.4-17.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15269
Comment 3 Fedora Update System 2015-09-07 14:19:25 EDT
mrtg-2.17.4-16.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mrtg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15268
Comment 4 Fedora Update System 2015-09-07 14:20:18 EDT
mrtg-2.17.4-17.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mrtg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15269
Comment 5 Fedora Update System 2015-11-24 14:52:46 EST
mrtg-2.17.4-17.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-24 17:25:17 EST
mrtg-2.17.4-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.